AUTOMAKE_OPTIONS = 1.10 no-dependencies

SUBDIRS = almemsys file_comp proxy zither sitar

install: install-dir install-bin install-conf 


install-dir:

	@INSTALL@ -g @ZITHER_USER@ -m 0754 -o @ZITHER_USER@ -d @prefix@/zither
	@INSTALL@ -g @ZITHER_USER@ -m 0754 -o @ZITHER_USER@ -d @prefix@/zither/bin/ 
	@INSTALL@ -g @ZITHER_USER@ -m 0754 -o @ZITHER_USER@ -d @prefix@/zither/conf/
	@INSTALL@ -g @ZITHER_USER@ -m 0754 -o @ZITHER_USER@ -d @prefix@/zither/cron/
	@INSTALL@ -g @ZITHER_USER@ -m 0754 -o @ZITHER_USER@ -d @prefix@/zither/lock/
	@INSTALL@ -g @ZITHER_USER@ -m 0754 -o @ZITHER_USER@ -d @prefix@/zither/clock/
	@INSTALL@ -g @ZITHER_USER@ -m 0754 -o @ZITHER_USER@ -d @prefix@/zither/log/
	@INSTALL@ -g @ZITHER_USER@ -m 0754 -o @ZITHER_USER@ -d @prefix@/zither/sample_bin/ 
	@INSTALL@ -g @ZITHER_USER@ -m 0754 -o @ZITHER_USER@ -d @prefix@/zither/tmp/

install-bin:

	@INSTALL@ -m 0750 -o root -g @ZITHER_USER@ zither/zither            @prefix@/zither/bin/
	@INSTALL@ -m 0750 -o root -g @ZITHER_USER@ zither/zitherctl         @prefix@/zither/bin/
	@INSTALL@ -m 0750 -o root -g @ZITHER_USER@ zither/zitherset         @prefix@/zither/bin/
	@INSTALL@ -m 0755 -o root -g @ZITHER_USER@ sitar/sitar              @prefix@/zither/bin/
	@INSTALL@ -m 0700 -o root -g @ZITHER_USER@ sitar/sitarctl           @prefix@/zither/bin/
	@INSTALL@ -m 0700 -o root -g @ZITHER_USER@ sitar/scanssl            @prefix@/zither/bin/
	@INSTALL@ -m 4755 -o root -g @ZITHER_USER@ sitar/scan_block_test    @prefix@/zither/bin/
	@INSTALL@ -m 0750 -o root -g @ZITHER_USER@ proxy/sitar_proxy        @prefix@/zither/bin/
	@INSTALL@ -m 0700 -o root -g @ZITHER_USER@ shell/sitar_start.sh     @prefix@/zither/bin/
	@INSTALL@ -m 0700 -o root -g @ZITHER_USER@ shell/zither_start.sh    @prefix@/zither/bin/
	@INSTALL@ -m 0755 -o root -g @ZITHER_USER@ shell/get_sitar.sh       @prefix@/zither/bin/
	@INSTALL@ -m 0755 -o root -g @ZITHER_USER@ sitar/resolv             @prefix@/zither/bin/

if USE_HTTPS
	@INSTALL@ -m 0700 -o root -g @ZITHER_USER@ sitar/scanssl            @prefix@/zither/bin/
endif

if USE_MYSQL
	@INSTALL@ -m 0700 -o root -g @ZITHER_USER@ sitar/scanmysql          @prefix@/zither/bin/
endif

if USE_SNMP
	@INSTALL@ -m 0700 -o root -g @ZITHER_USER@ sitar/snmp_command       @prefix@/zither/bin/
endif

if USE_PGSQL
	@INSTALL@ -m 0700 -o root -g @ZITHER_USER@ sitar/scanpgsql          @prefix@/zither/bin/
endif


install-conf:

	@INSTALL@ -m 0644 -o @ZITHER_USER@ -g @ZITHER_USER@ conf/sitar.conf    @prefix@/zither/conf/
	@INSTALL@ -m 0644 -o @ZITHER_USER@ -g @ZITHER_USER@ conf/zither.conf   @prefix@/zither/conf/
	@INSTALL@ -m 0644 -o @ZITHER_USER@ -g @ZITHER_USER@ conf/neg.conf      @prefix@/zither/conf/
	@INSTALL@ -m 0644 -o @ZITHER_USER@ -g @ZITHER_USER@ conf/test.conf     @prefix@/zither/conf/
	@INSTALL@ -m 0644 -o @ZITHER_USER@ -g @ZITHER_USER@ conf/test.list     @prefix@/zither/conf/
	@INSTALL@ -m 0644 -o @ZITHER_USER@ -g @ZITHER_USER@ conf/test.command  @prefix@/zither/conf/
	@INSTALL@ -m 0644 -o @ZITHER_USER@ -g @ZITHER_USER@ conf/test.stat     @prefix@/zither/conf/

uninstall:

	echo "!!! rm -rf <install dir>"


